# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_StackNodeOfStackOfGeneralExpression Class Reference

`#include <ExprIntrp_StackNodeOfStackOfGeneralExpression.hxx>`

Inheritance diagram for ExprIntrp_StackNodeOfStackOfGeneralExpression:

[legend]

## Public Member Functions

| ExprIntrp_StackNodeOfStackOfGeneralExpression (const Handle(Expr_GeneralExpression)&I, const TCollection_MapNodePtr &n)
Handle_Expr_GeneralExpression & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_GeneralExpression | myValue

## Constructor & Destructor Documentation

ExprIntrp_StackNodeOfStackOfGeneralExpression::ExprIntrp_StackNodeOfStackOfGeneralExpression | ( | const Handle(Expr_GeneralExpression)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const ExprIntrp_StackNodeOfStackOfGeneralExpression::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Handle_Expr_GeneralExpression& ExprIntrp_StackNodeOfStackOfGeneralExpression::Value | ( |  | ) | const

## Field Documentation

Handle_Expr_GeneralExpression ExprIntrp_StackNodeOfStackOfGeneralExpression::myValue `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_StackNodeOfStackOfGeneralExpression.hxx